### Method

# Gio FileInfo set_display_name

#### Declaration

    void
    g_file_info_set_display_name (
      GFileInfo* info,
      const char* display_name
    )

#### Description

Sets the display name for the current `GFileInfo`. See `G_FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME`.

#### Parameters

`display_name`

  Type: `const char*`

  A string containing a display name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.